Any way to activate a 3GS now that the phonebook sim doesn't work?

Discussion in 'Jailbreaks and iOS Hacks' started by jay12, Nov 5, 2010.

  1. jay12 macrumors member

    Joined:
    Nov 5, 2010
    #1
    I got a new Iphone 3gs and was planning to unlock it and jailbreak it. Seller didn't mention it wasn't activated yet. Is there any way to activate it now that the phonebook sim card trick doesn't work? Thanks!!
     
  2. ulbador macrumors 68000

    ulbador

    Joined:
    Feb 11, 2010
    #2
    From a post I read on here last night, installing a custom firmware with PwnageTool will allow you to activate (called hacktivation)
     
  3. jay12 thread starter macrumors member

    Joined:
    Nov 5, 2010
    #3
    Do you have a link to the post? Thanks!
     
  4. ulbador macrumors 68000

    ulbador

    Joined:
    Feb 11, 2010
    #4
  5. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #5
    You can activate officially with any sim from the carrier that the phone its locked to. Even prepaid or inactive sims will do the trick.
    Option 2 is to hactivate it without a sim using either Limerain, greepoison or pwnage tool.
     
  6. forcetactic macrumors 6502

    Joined:
    Jul 30, 2010
    #6
    Does this work for iphone 3g and 2g as well?
     
  7. Carlanga macrumors 604

    Carlanga

    Joined:
    Nov 5, 2009
  8. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #8
    Yes you can hactivate them both.
     
  9. forcetactic macrumors 6502

    Joined:
    Jul 30, 2010
    #9
    Sorry I meant legitly activate with att sim.
    Also I heard all iphones need to be activated first with zip/ssn with sim. Once that's done, it will never ask you for it again.
     
  10. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #10
    With any AT&T sim every iPhone but the 2G. For the 2G iTunes makes you pick your plan before it activates.
    The billing zip and last 4 of your social is only for the first activation only with iPhone 4.
     
  11. jay12 thread starter macrumors member

    Joined:
    Nov 5, 2010
    #11
    Any instructions on how to hacktivate? I downloaded pwnage tool and selected 3gs and then it wanted a firmware bundle. I am downloading it now for 4.0. Any help is greatly appreciated!:D
     
  12. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #12
    Follow this:
    http://www.iclarified.com/entry/index.php?enid=12349
    Why are you downloading 4.0? You should download the official 4.1 and then create a custom 4.1 ipsw that preserves your baseband.
    In general settings when you run pwnage check the option to "activate the phone"
    Just follow that tutorial above.
     
  13. jay12 thread starter macrumors member

    Joined:
    Nov 5, 2010
    #13
    I don't want 4.1 because then I can't unlock it can I? Sorry for the newb questions. I have messed with unlocking and JBing Iphones in the past but that was with the old 2g phones and I haven't kept up on this stuff much lately. Thanks a TON for the help!!!
     
  14. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #14
    Not a prob.
    With a custom IPSW created with pwnage tool you will have the latest 4.1 but you will maintain your older baseband so you can unlock it.
    Just make sure after you create the custom ipsw with pwnage you restore to that firmware file and not the official 4.1 by accident and mess up your unlockable baseband.
    Good luck.
     
  15. jay12 thread starter macrumors member

    Joined:
    Nov 5, 2010
    #15
    jailbreakme won't work if I put on the 4.1 will it? Could I download the 4.0.1 just to be safe?

    My main goal right now is just getting the phone activated so I can go to safari on the phone and use jailbreakme. Or is there a better way to go about it?
     
  16. eastercat macrumors 68040

    eastercat

    Joined:
    Mar 3, 2008
    Location:
    PDX
    #16
    Wirelessly posted (Mozilla/5.0 (iPhone; U; CPU iPhone OS 4_1 like Mac OS X; en-us) AppleWebKit/532.9 (KHTML, like Gecko) Version/4.0.5 Mobile/8B117 Safari/6531.22.7)

    Follow Applejuiced's advice and use Pwnage tool or the SIM.
     
  17. jay12 thread starter macrumors member

    Joined:
    Nov 5, 2010
    #17
    Well I tried the 4.0.1 from the link that pwnage tool sent me to and it didn't work. Says the wrong firmware bundle was selected. So I guess I need to use the 4.1 file from iclarified? What tool will I use to unlock if I am on 4.1? Thanks!!!! Can't wait to be able to use my new Iphone 3GS!!!!:D
     
  18. Rajani Isa macrumors 65816

    Rajani Isa

    Joined:
    Jun 8, 2010
    #18
    And jailbreakme.com uses an exploit patched in 4.0.2 - so you cannot use it to jailbreak 4.1.
     
  19. forcetactic macrumors 6502

    Joined:
    Jul 30, 2010
    #19
    So just to reiterate, if I buy a 2g, 3g, or 3gs still in unopened box that has never been used before and I provide my own att sim, I can get it to work with Att and a plan. And with iPhone 4, I have to make sure that the seller has already went past the ssn/zip before I purchase it.
     
  20. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #20
    Pretty much.
     
  21. jay12 thread starter macrumors member

    Joined:
    Nov 5, 2010
    #21
    So if I use pwnage with a custom 4.1 file how do I unlock the phone? Thanks. I would rather just use the 4.0.1 file but for some reason pwnage says it is not a valid firmware bundle.
     
  22. jay12 thread starter macrumors member

    Joined:
    Nov 5, 2010
    #22
    Starting to get really frustrated. Downloaded the 4.0.1 firmware and the 4.0.1 Pwnage tool and when I select the firmware bundle it tells me it is not a valid firmware bundle. So I can't get it to work with 4.0.1 or 4.1 says they are both invalid firmware bundles. Any ideas?:confused:
     
  23. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #23
    Make sure when you download them off the net they're saved as .ipsw file and not zip
    After you install the custom 4.1 ipsw you just open up cydia and install ultrasnow to unlock.
     
  24. jay12 thread starter macrumors member

    Joined:
    Nov 5, 2010
    #24
    4.0.1 (3GS): iPhone2,1_4.0.1_8A306_Restore.ipsw

    That is how I saved the file. It was right off of Iclarifieds web site. Not sure what I am doing wrong.:confused:
     
  25. jay12 thread starter macrumors member

    Joined:
    Nov 5, 2010
    #25
    Also I keep seeing stuff saying pwnage tool only works if the phone has been previously jailbroken??? What is the deal with that?
     

Share This Page